Arduino

Reference Language | Libraries | Comparison | Changes

String

## lastIndexOf()

#### Description

Locates a character or String within another String. By default, searches from the end of the String, but can also work backwards from a given index, allowing for the locating of all instances of the character or String.

#### Syntax

string.lastIndexOf(val)
string.lastIndexOf(val, from)

#### Parameters

string: a variable of type String
val: the value to search for - char or String
from: the index to work backwards from

#### Returns

The index of val within the String, or -1 if not found.

#### Example

- StringIndexOf

#### See also

- indexOf()
- startsWith()
- endsWith()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes